### A free/open-source library for quantitative finance

Public Member Functions
OneFactorGaussianStudentCopula Class Reference

One-factor Gaussian-Student t-Copula. More...

`#include <ql/experimental/credit/onefactorstudentcopula.hpp>`

Inheritance diagram for OneFactorGaussianStudentCopula:
[legend]

List of all members.

## Public Member Functions

| OneFactorGaussianStudentCopula (const Handle< Quote > &correlation, int nz, Real maximum=10, Size integrationSteps=200)
Real | density (Real m) const
| Density function of M.
Real | cumulativeZ (Real z) const
| Cumulative distribution of Z.

## Detailed Description

One-factor Gaussian-Student t-Copula.

The copula model

is specified here by setting the probability density functions for ( ) to a Student t-distributions with degrees of freedom, and for ( ) to a Gaussian.

The variance of the Student t-distribution with degrees of freedom is . Since the copula approach requires zero mean and unit variance distributions, is scaled by

Possible enhancements:
  Improve performance/accuracy of the calculation of inverse cumulative Y. Tabulate and store it for selected correlations?

## Member Function Documentation

Real density | ( | Real | m | ) | const`[virtual]`

Density function of M.

Derived classes must override this method and ensure zero mean and unit variance.

Implements OneFactorCopula.

Real cumulativeZ | ( | Real | z | ) | const`[virtual]`

Cumulative distribution of Z.

Derived classes must override this method and ensure zero mean and unit variance.

Implements OneFactorCopula.